/* 
Theme Name:		Hello Elementor Child
Theme URI:		https://elementor.com/
Description:	Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author:			Elementor Team
Author URI:		https://elementor.com/
Template:		hello-elementor
Version:		1.0.0
Text Domain:	hello-elementor-child
Tags:           flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/


/**** CUSTOM CODE FOR PROJECTS************/

/* Parent stylesheet should be loaded from functions.php not using @import */
.hero-section .swiper-background:after{
    content: '';
    z-index: 1;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-image: url("images/gradient.png");
    background-position: center bottom;
    background-repeat: no-repeat;
    background-size: cover;
}
.swiper-text {
    position: absolute;
    z-index: 2;
    right: 20px;
    bottom: 20px;
    overflow: hidden;
    height: 150px;
}

@media (min-width: 722px) {
    .swiper-text {
        position: absolute;
        z-index: 1;
        right: 50px;
        bottom: 50px;
    }
}

.custom-btn {
    display: inline-block;
    position: relative;
    padding: 15px 30px 10px 30px;
    left: -3px;
	font-size: 20px;
}

.custom-btn:hover {
    color: #F79222;
}

.custom-btn:after {
    content: '';
    width: 100%;
    position: absolute;
    height: 100%;
    background-color: transparent;
	border: 2px solid #F79222;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    top: 2px;
    left: 1px;
}

.swiper-pagination {
    z-index: 1;
    left: 20px;
    bottom: 20px;
}

.swiper-pagination-bullet {
    width: 16px !important;
    height: 16px !important;
    border-radius: 0 !important;
    background: transparent !important;
    opacity: 1 !important;
    border: 1px solid #fff;
    margin-right: 10px;
    position: relative;

}

.swiper-pagination-bullet-active:after {
    content: '';
    width: 8px;
    height: 8px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #e7ac00 !important;
}

.post-project {
    height: 50vh;
    background-color: #fff;
    position: relative;
}

.post-bg {
    width: 100%;
    position: absolute;
    top: 50%;
    -webkit-transform: translate(0, -50%);
    -ms-transform: translate(0, -50%);
    transform: translate(0, -50%);
}

@media (min-width: 722px) {


    .post-bg-right:after,.post-bg-left:after {
        transition: 0.6s ease all;
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        /*background-color: rgba(0, 0, 0, 0.3)*/
    }
    .post-bg-left:after{
        background: rgba(0,0,0,0.5);
        background: -moz-linear-gradient(left, rgba(0,0,0,0.5) 0%, rgba(0,0,0,0.5) 25%, rgba(0,0,0,0) 100%);
        background: -webkit-gradient(left top, right top, color-stop(0%, rgba(0,0,0,0.5)), color-stop(25%, rgba(0,0,0,0.5)), color-stop(100%, rgba(0,0,0,0)));
        background: -webkit-linear-gradient(left, rgba(0,0,0,0.5) 0%, rgba(0,0,0,0.5) 25%, rgba(0,0,0,0) 100%);
        background: -o-linear-gradient(left, rgba(0,0,0,0.5) 0%, rgba(0,0,0,0.5) 25%, rgba(0,0,0,0) 100%);
        background: -ms-linear-gradient(left, rgba(0,0,0,0.5) 0%, rgba(0,0,0,0.5) 25%, rgba(0,0,0,0) 100%);
        background: linear-gradient(to right, rgba(0,0,0,0.5) 0%, rgba(0,0,0,0.5) 25%, rgba(0,0,0,0) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#000000', endColorstr='#000000', GradientType=1 );
    }
    .post-bg-right:after{
        background: rgba(0,0,0,0);
        background: -moz-linear-gradient(left, rgba(0,0,0,0) 0%, rgba(0,0,0,0.5) 75%, rgba(0,0,0,0.5) 100%);
        background: -webkit-gradient(left top, right top, color-stop(0%, rgba(0,0,0,0)), color-stop(75%, rgba(0,0,0,0.5)), color-stop(100%, rgba(0,0,0,0.5)));
        background: -webkit-linear-gradient(left, rgba(0,0,0,0) 0%, rgba(0,0,0,0.5) 75%, rgba(0,0,0,0.5) 100%);
        background: -o-linear-gradient(left, rgba(0,0,0,0) 0%, rgba(0,0,0,0.5) 75%, rgba(0,0,0,0.5) 100%);
        background: -ms-linear-gradient(left, rgba(0,0,0,0) 0%, rgba(0,0,0,0.5) 75%, rgba(0,0,0,0.5) 100%);
        background: linear-gradient(to right, rgba(0,0,0,0) 0%, rgba(0,0,0,0.5) 75%, rgba(0,0,0,0.5) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#000000', endColorstr='#000000', GradientType=1 );
    }
}

.post-bg img {
    width: 100%;
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);

}

.post-bg-right {
    left: 0;
}

.post-bg-left {
    right: 0;
}

@media (max-width: 722px) {
    .post-project {
        height: auto;
    }

    .post-bg {
        position: relative;
        -webkit-transform: translate(0, 0%);
        -ms-transform: translate(0, 0%);
        transform: translate(0, 0%);
    }

    .post-bg img {
        -webkit-filter: grayscale(0%);
        filter: grayscale(0%);

    }
	
	.custom-btn {
    color: #000;
}
}

.transition {
    transition: 0.4s ease all;
}

.post-resize {
    width: 60%;
}

.post-resize:after {
    /*background-color: rgba(0, 0, 0, 0) !important;*/
    background: rgba(0,0,0,0);
    background: -moz-linear-gradient(left, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 100%);
    background: -webkit-gradient(left top, right top, color-stop(0%, rgba(0,0,0,0)), color-stop(100%, rgba(0,0,0,0)));
    background: -webkit-linear-gradient(left, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 100%);
    background: -o-linear-gradient(left, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 100%);
    background: -ms-linear-gradient(left, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 100%);
    background: linear-gradient(to right, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#000000', endColorstr='#000000', GradientType=1 );
}

.colorize {
    -webkit-filter: grayscale(0%) !important;
    filter: grayscale(0%) !important;
}

.post-project .ee-post__button {
    background-position: right;
}

.text-dark {
    color: #000 !important;
}

.color-inherit {
    color: inherit;
}


.ee-post__button {
    background-image: url("https://www.st-or.co.il/wp-content/uploads/2018/12/btnstor.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain !important;
    padding: 5px 30px 5px 30px !important;
}

form.checkout input[type="radio"].input-radio {
	float: right;
	margin: 8px 5px 0px 20px;
}

/*shop search product button- remove red frame and set background to black*/
body.elementor-kit-13 button {
    background-color: #231F20 !important;
    border-color: transparent;